[submodule "sadis-server"]
path = src/use_cases/seba_on_arm/src_repo/sadis-server
url = https://github.com/iecedge/sadis-server.git
+[submodule "rcord-synchronizer"]
+ path = src/use_cases/seba_on_arm/src_repo/rcord-synchronizer
+ url = https://github.com/iecedge/rcord.git
+[submodule "fabric"]
+ path = src/use_cases/seba_on_arm/src_repo/fabric
+ url = https://github.com/iecedge/fabric.git
+[submodule "fabric-crossconnect"]
+ path = src/use_cases/seba_on_arm/src_repo/fabric-crossconnect
+ url = https://github.com/iecedge/fabric-crossconnect.git
+ branch = 1.1.4
+[submodule "onos-service"]
+ path = src/use_cases/seba_on_arm/src_repo/onos-service
+ url = https://github.com/iecedge/onos-service.git
+ branch = 2.0.7
+[submodule "olt-service"]
+ path = src/use_cases/seba_on_arm/src_repo/olt-service
+ url = https://github.com/iecedge/olt-service.git
+ branch = 2.1.14
--- /dev/null
+#!/usr/bin/env bash
+
+# This script builds the fabric-crossconnect docker image
+set -o errexit
+set -o xtrace
+
+#cd $FABRIC-CROSSCONNECT_PATH
+
+#building fabric-crossconnect docker image
+docker build -t iecedge/fabric-crossconnect-synchronizer_arm64:1.1.4 -f Dockerfile.synchronizer .
--- /dev/null
+#!/usr/bin/env bash
+
+# This script builds the fabric docker image
+set -o errexit
+set -o xtrace
+
+#cd $FABRIC_PATH
+
+#building fabric docker image
+docker build -t iecedge/fabric-synchronizer_arm64:2.1.6 -f Dockerfile.synchronizer .
--- /dev/null
+#!/usr/bin/env bash
+
+# This script builds the olt-service docker image
+set -o errexit
+set -o xtrace
+
+#cd $OLT-SERVICE_PATH
+
+#building olt-service docker image
+docker build -t iecedge/volt-synchronizer_arm64:2.1.14 -f Dockerfile.synchronizer .
--- /dev/null
+#!/usr/bin/env bash
+
+# This script builds the onos-service docker image
+set -o errexit
+set -o xtrace
+
+#cd $ONOS-SERVICE_PATH
+
+#building onos-service docker image
+docker build -f Dockerfile.synchronizer -t iecedge/onos-synchronizer_arm64:2.0.7 .
--- /dev/null
+#!/usr/bin/env bash
+
+# This script builds the rcord-synchronizer docker image
+set -o errexit
+set -o xtrace
+
+#cd $RCORD-SYNCHRONIZER _PATH
+
+#building rcord-synchronizer docker image
+docker build -t iecedge/rcord-synchronizer_arm64:1.0.8 -f Dockerfile.synchronizer .
--- /dev/null
+From 4485e25f152b18be11cbdc00287a9ab2146db50c Mon Sep 17 00:00:00 2001
+From: jialv01 <Jianlin.Lv@arm.com>
+Date: Wed, 3 Apr 2019 17:03:56 +0800
+Subject: [PATCH] Modify rcord Dockerfile for support Arm64
+
+Signed-off-by: jialv01 <Jianlin.Lv@arm.com>
+---
+ Dockerfile.synchronizer | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/Dockerfile.synchronizer b/Dockerfile.synchronizer
+index c84eab6..9509770 100644
+--- a/Dockerfile.synchronizer
++++ b/Dockerfile.synchronizer
+@@ -16,7 +16,7 @@
+ # docker build -t xosproject/rcord-synchronizer:candidate -f Dockerfile.synchronizer .
+
+ # xosproject/rcord-synchronizer
+-FROM xosproject/xos-synchronizer-base:2.1.25
++FROM cachengo/xos-synchronizer-base:2.1.38
+
+ COPY xos/synchronizer /opt/xos/synchronizers/rcord
+ COPY VERSION /opt/xos/synchronizers/rcord/
+--
+2.17.1
+
--- /dev/null
+Subproject commit dc1d411dca3df3259f4aef9411675e8695f21704
--- /dev/null
+Subproject commit 3d6a98a510d18b5683e4be4b96a099a572f5b0c9
--- /dev/null
+Subproject commit 27a51dd3c60fabcf18faf94bb5f96109f3d24167
--- /dev/null
+Subproject commit 31cd6cdd22cbc832a23d040560e2846630b09a0d
--- /dev/null
+Subproject commit 4ed1df6a0fac69ec5a947a426ea07face235c43f